Loading...
Searching...
No Matches
mbedtls_sha1_context Struct Reference

The SHA-1 context structure. More...

`#include <sha1.h>`

## Data Fields

uint32_t | private_total [2]
uint32_t | private_state [5]
unsigned char | private_buffer [64]
int | dummy

## Detailed Description

The SHA-1 context structure.

Warning
  SHA-1 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

Definition at line 45 of file sha1.h.

## Field Documentation

## dummy

int mbedtls_sha1_context::dummy

Definition at line 11 of file sha1_alt.h.

## private_buffer

unsigned char mbedtls_sha1_context::private_buffer[64]

The data block being processed.

Definition at line 48 of file sha1.h.

## private_state

uint32_t mbedtls_sha1_context::private_state[5]

The intermediate digest state.

Definition at line 47 of file sha1.h.

## private_total

uint32_t mbedtls_sha1_context::private_total[2]

The number of Bytes processed.

Definition at line 46 of file sha1.h.

The documentation for this struct was generated from the following files:

- sha1.h
- sha1_alt.h